Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class ProcessExpression

- org.apache.groovy.ginq.dsl.expression.ProcessExpression

- All Implemented Interfaces and Traits:
    DataSourceHolder

      public abstract class ProcessExpression
      extends AbstractGinqExpression
      implements DataSourceHolder

  Represents process expression, e.g. where, groupby, orderby, limit, select

  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public DataSourceExpression` | `getDataSourceExpression()`
    `` | `public void` | `setDataSourceExpression(DataSourceExpression dataSourceExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Method Detail

    - #### @Override
      public DataSourceExpression getDataSourceExpression()

    - #### @Override
      public void setDataSourceExpression(DataSourceExpression dataSourceExpression)